﻿using FluentNHibernate.Mapping;

namespace NHibernateTest
{
    public class MyEntityMap : ClassMap<MyEntity>
    {
        public MyEntityMap()
        {
            Table("MYENTITY");
            Id(x => x.Id)
                .Column("MYENTITY_ID")
                .GeneratedBy.Guid();
            Map(x => x.MyByteProperty)
                .Column("MY_BYTE_PROPERTY")
                .Not.Nullable(); 
            Map(x => x.MyIntProperty)
                .Column("MY_INT_PROPERTY")
                .Not.Nullable();
        }
    }
}
